; -*- Scheme -*-

(define-module (gtk-1.2 gtk-gl-area)
  :use-module (gtk-1.2 dynlink)
  :use-module (gtk-1.2 gtk))

(merge-compiled-code "sgtk_init_gtk_gtk_gl_area_glue" "libguilegtkgl-1.2")

(define-public gtk-gl-area-swapbuffers gtk-gl-area-swap-buffers)

(define-public (gtk-gl-area-make-current-force area)
  (if (not (gtk-gl-area-make-current area))
      (error "gtk-gl-area-make-current failed")))
      
(defmacro-public with-render-to-gl-area (area . body)
  `(begin
     (gtk-gl-area-make-current-force ,area)
     ,@body
     (gtk-gl-area-swap-buffers ,area)))

(defmacro-public with-gl-area (area . body)
  `(begin
     (gtk-gl-area-make-current-force ,area)     
     ,@body))


